summaryrefslogtreecommitdiff
path: root/docs/zh-cn/zh_cn_doc_status.sh
diff options
context:
space:
mode:
authorIskandarMa <epiciskandar@gmail.com>2022-01-19 02:24:02 +0800
committerGitHub <noreply@github.com>2022-01-18 18:24:02 +0000
commitf6a7f4d4aca4a1808850e2dcd8cc223ae5202062 (patch)
treefefc9beff20ea6438e9c1927d83319ed4c85a6b0 /docs/zh-cn/zh_cn_doc_status.sh
parent8a3dfe2246c4a6182cf18349e9c4d0d28cae4ec5 (diff)
update the Chinese translation based on the latest English version (#14924)
Co-authored-by: peepeetee <43021794+peepeetee@users.noreply.github.com> Co-authored-by: Joy Lee <chang.li@westberrytech.com> Co-authored-by: LitoMore <LitoMore@users.noreply.github.com> Co-authored-by: Dasky <32983009+daskygit@users.noreply.github.com>
Diffstat (limited to 'docs/zh-cn/zh_cn_doc_status.sh')
-rw-r--r--docs/zh-cn/zh_cn_doc_status.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/docs/zh-cn/zh_cn_doc_status.sh b/docs/zh-cn/zh_cn_doc_status.sh
new file mode 100644
index 0000000000..84693e5461
--- /dev/null
+++ b/docs/zh-cn/zh_cn_doc_status.sh
@@ -0,0 +1,35 @@
+#! /bin/sh
+#
+# Script to display Simplified Chinese translation status of documents
+# Copied from the japanese one
+#
+if [ ! -d docs/zh-cn ]; then
+ echo "'docs/zh-cn' not found."
+ echo "do:"
+ echo " cd \$(QMK_TOP)"
+ echo " ./docs/zh-cn/zh-cn_doc_status.sh"
+ exit 1
+fi
+
+en_docs=`cd docs;ls -1 [a-z]*.md`
+zh_cn_docs=`cd docs/zh-cn;ls -1 [a-z]*.md`
+en_count=`echo $en_docs | wc -w`
+zh_cn_count=`echo $zh_cn_docs | wc -w`
+echo "English documents $en_count files."
+echo "Simplified Chinese documents $zh_cn_count files."
+
+echo "Files that have not been translated yet:"
+for docfile in $en_docs
+do
+ if [ ! -f docs/zh-cn/$docfile ]; then
+ wc docs/$docfile
+ fi
+done | sort
+echo "Files that have not been updated yet:"
+grep --no-filename "^[ ]*git diff" docs/zh-cn/*.md | while read cmd
+do
+ cline=`echo $cmd | sh | wc -l`
+ if [ $cline -gt 0 ]; then
+ echo "$cline $cmd"
+ fi
+done | sort